Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "40be59e1-6c8c-47c1-8734-06a4b11f3ac7",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "52148502-9bd6-49dd-961c-8eba41185497",
"company_code": "sample string 5",
"company": {
"id": "d34e1255-3486-4e08-abba-40111d060cd3",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-22T09:28:21.8418729+00:00",
"sales_territory_id": "377485aa-d54f-4bd7-a81b-16ff4b1bd7c6",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2728c811-7019-4555-b52d-9e1573d17cc5",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "aa17590e-5ae5-4478-8c15-8761b020fdaf",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "55d915aa-25c1-4aac-a0ec-c882fca44e54",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "29093582-5cd8-4f6e-aa64-20bf4423f2f7",
"db_currency_id": "d27dfc87-ce86-4ee8-8281-bc8e69fd0447",
"db_language_id": "95c0b077-95f4-47d5-8816-d96f62a634d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T09:28:21.8418729+00:00"
},
"modified_dateutc": "2026-11-22T09:28:21.8418729+00:00"
},
"marketing_segment_id": "f2894094-1706-4e60-a77d-799bd1998fd5",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "eb205f9a-aec7-467b-a493-227475b98466",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "b23235a8-3aff-47b8-b390-de53a16f1618",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "0d659c3e-e186-4d56-ab04-28768fb285fd",
"db_country_code": "sample string 28",
"feelist_id": "e3d15f26-a985-4eb1-90e4-506d313586f2",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "0b89d0de-6c9e-4713-a394-f4c8030c4df7",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "8b60f2a0-2738-480a-a227-c3cdb82dcd74",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-22T09:28:21.8418729+00:00",
"db_currency_id": "7cc70a42-64ba-463a-bf02-b08c8107c837",
"db_currency_code": "sample string 10"
},
"company_type_id": "4cb6f26c-7258-4e90-862e-41acd4f7a8e5",
"company_type_name": "sample string 32",
"company_type": {
"id": "18898e82-290e-4608-8b4b-dedf2cab1f88",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a00a34cf-c317-4170-ab23-77e207ff2700",
"sales_organization_code": "sample string 5"
},
"db_language_id": "92abde18-b5ba-4a7d-b48a-7366e2369f4d",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "d018156d-89b0-4ea6-a58d-d876a1c9a8eb",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "f6d14e25-ac82-4f8e-808c-5113e1d2629a",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "14ed15b8-4f00-44ff-b41c-3460849ab951",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-22T09:28:21.8418729+00:00"
},
"company_sector_id": "912fc167-e372-4415-bf35-d2465eca55d1",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "3cc4ffb7-bda1-4e51-a12f-80f633cfa616",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "26d4e8b8-b7e8-4204-8243-b55ca1e7d8f7",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "d1b8eedd-d788-4632-bcff-9d0cf107ee8a",
"account_manager_user_code": "sample string 56",
"company_status_id": "da827bf4-e6d6-49e6-b3b7-7c227d46e20b",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-22T09:28:21.8418729+00:00",
"id2": 60
},
"db_language_id": "db7d6202-00ec-4946-8a08-f585c77fe733",
"db_language_code": "sample string 7",
"db_title_id": "dbf667c9-4095-4836-b6df-d8d83a12bcbf",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-22T09:28:21.8617808+00:00",
"create_date": "2026-11-22T09:28:21.8617808+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-22T09:28:21.8617808+00:00"
}